Method: projects.locations.runtimes.patch

ノートブック ランタイム構成を更新します。

HTTP リクエスト

PATCH https://notebooks.googleapis.com/v1/{runtime.name}

パスパラメータ

パラメータ
runtime.name

string

出力専用。ランタイムのリソース名。形式: projects/{project}/locations/{location}/runtimes/{runtimeId}

クエリ パラメータ

パラメータ
updateMask

string (FieldMask format)

必須。更新するフィールドの Runtime に対する相対パスを指定します。たとえば、ソフトウェア構成のカーネルを変更するには、updateMask パラメータを softwareConfig.kernels として指定し、PATCH リクエストの本文で新しい値を指定します。

{
  "softwareConfig":{
    "kernels": [{
       'repository':
       'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag':
       'latest' }],
    }
}

現在、更新できるフィールドは次のとおりです。

  • softwareConfig.kernels
  • softwareConfig.post_startup_script
  • softwareConfig.custom_gpu_driver_path
  • softwareConfig.idle_shutdown
  • softwareConfig.idle_shutdown_timeout
  • softwareConfig.disable_terminal
  • labels

完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。

requestId

string

べき等リクエスト UUID。

リクエストの本文

リクエストの本文には Runtime のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳細については、Authentication Overview をご覧ください。